package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.MonDevFsOther;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 设备数据-垃圾焚烧-其它时间 保存设备的小时以上的数据对象 mon_dev_fs_other
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-垃圾焚烧-其它时间 保存设备的小时以上的数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonDevFsOtherQuery extends PageQuery
{

    @ApiModelProperty(value = "数据ID")
    private Long dataId;
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;
    @ApiModelProperty(value = "设备ID")
    private String deviceId;
    @ApiModelProperty(value = "时间类型 枚举。分钟/小时...")
    private String timeType;
    @ApiModelProperty(value = "数据时间 格式因时间类型而异")
    private String dataTime;
    @ApiModelProperty(value = "传输系统垃圾处理量 单位: kg/h")
    private String fs100;
    @ApiModelProperty(value = "焚烧炉炉膛温度 单位: ℃")
    private String fs101;
    @ApiModelProperty(value = "脱硝烟气温度 单位: ℃")
    private String fz100;
    @ApiModelProperty(value = "脱硝还原剂用量 单位: m3/h")
    private String fz101;
    @ApiModelProperty(value = "脱硫半干法石灰浆用量 单位: kg/h")
    private String fz102;
    @ApiModelProperty(value = "脱硫干法石灰石耗量 单位: kg/h")
    private String fz103;
    @ApiModelProperty(value = "脱硫吸收塔内浆液pH值")
    private String fz104;
    @ApiModelProperty(value = "脱硫湿法氧化风机电流 单位: A")
    private String fz105;
    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位: 1=运行，0=停止")
    private String fz106;
    @ApiModelProperty(value = "活性炭用量 单位: kg/h")
    private String fz107;
    @ApiModelProperty(value = "袋式除尘器进出口压差 单位: Pa")
    private String fz108;
    @ApiModelProperty(value = "脱酸药剂浆液浓度 单位: %")
    private String g229;
    @ApiModelProperty(value = "烟气净化单元_半干法脱酸系统_药剂投加速率 单位: kg/h")
    private String g230;
    @ApiModelProperty(value = "烟气净化单元_半干法脱酸系统_半干法脱酸塔雾化器电流 单位: A")
    private String g231;
    @ApiModelProperty(value = "烟气净化单元_湿法脱酸系统_湿法脱酸药剂浆液浓度 单位: %")
    private String g232;
    @ApiModelProperty(value = "烟气净化单元_湿法脱酸系统_投加速率 单位: kg/h")
    private String g233;
    @ApiModelProperty(value = "烟气净化单元_湿法脱酸系统_脱酸塔排出液 单位: ")
    private String g234;
    @ApiModelProperty(value = "烟气净化单元_焚烧炉内PNCR脱硝设施_PNCR脱硝剂投加速率 单位: kg/h")
    private String g332;
    @ApiModelProperty(value = "烟气净化单元_焚烧炉外SCR脱硝设施_喷入的脱硝药剂浆液浓度 单位: %")
    private String g333;
    @ApiModelProperty(value = "烟气净化单元_焚烧炉外SCR脱硝设施_投加速率 单位: m3/h")
    private String g334;
    @ApiModelProperty(value = "烟气净化单元_焚烧炉外SCR脱硝设施_脱硝反应器入口烟气温度 单位: ℃")
    private String g335;
    @ApiModelProperty(value = "烟气净化单元_袋式除尘器_袋式除尘器烟气进口温度 单位: ℃")
    private String g602;
    @ApiModelProperty(value = "烟气净化单元_活性炭喷射装置_活性炭喷射风机电流 单位: A")
    private String ga04;
    @ApiModelProperty(value = "烟气净化单元_干法脱酸系统_干法脱酸剂投加速率千克/小时 单位: kg/h")
    private String gb14;
    @ApiModelProperty(value = "烟气净化单元_非正常工况（停炉）除臭系统_除臭系统风机风量及电流 单位: A")
    private String gb15;
    @ApiModelProperty(value = "固体废物处理单元_飞灰_飞灰螯合剂浓度 单位: %")
    private String gb16;
    @ApiModelProperty(value = "固体废物处理单元_飞灰_每批次螯合剂投加计量 单位: kg")
    private String gb17;
    @ApiModelProperty(value = "废水处理单元_垃圾渗滤液处理站_渗滤液处理站臭气收集引风机电流 单位: A")
    private String gb18;
    @ApiModelProperty(value = "废水处理单元_垃圾渗滤液处理站_曝气风机电流 单位: A")
    private String gb19;
    @ApiModelProperty(value = "各种入炉燃料进厂量_生活垃圾 单位: kg")
    private String gc00;
    @ApiModelProperty(value = "各种入炉燃料进厂量_污泥 单位: kg")
    private String gc01;
    @ApiModelProperty(value = "各种入炉燃料进厂量_一般工业固废 单位: kg")
    private String gc02;
    @ApiModelProperty(value = "各种入炉燃料进厂量_可入炉的医疗废物 单位: kg")
    private String gc03;
    @ApiModelProperty(value = "各种入炉燃料进厂量_其它 单位: kg")
    private String gc04;
    @ApiModelProperty(value = "脱酸剂进厂量_消石灰 单位: kg")
    private String gc05;
    @ApiModelProperty(value = "脱酸剂进厂量-生石灰 单位: kg")
    private String gc06;
    @ApiModelProperty(value = "脱酸剂进厂量_碳酸氢钠 单位: kg")
    private String gc07;
    @ApiModelProperty(value = "脱酸剂进厂量_氢氧化钠 单位: kg")
    private String gc08;
    @ApiModelProperty(value = "脱酸剂进厂量_其它 单位: kg")
    private String gc09;
    @ApiModelProperty(value = "危险废物进厂量_飞灰 单位: kg")
    private String gc10;
    @ApiModelProperty(value = "危险废物进厂量_废油及废油桶 单位: kg")
    private String gc11;
    @ApiModelProperty(value = "危险废物进厂量_废滤袋 单位: kg")
    private String gc12;
    @ApiModelProperty(value = "垃圾及其危险废物进厂量_废钒钛系催化剂 单位: kg")
    private String gc13;
    @ApiModelProperty(value = "危险废物进厂量_实验室废液 单位: kg")
    private String gc14;
    @ApiModelProperty(value = "危险废物进厂量_其它 单位: kg")
    private String gc15;
    @ApiModelProperty(value = "炉渣出厂量千克 单位: kg")
    private String gc16;
    @ApiModelProperty(value = "垃圾及其它物料接收贮存单元_垃圾池压力计_垃圾池负压数值千帕 单位: kpa")
    private String gc17;
    @ApiModelProperty(value = "垃圾焚烧单元_炉前垃圾给料系统_推料器位移行程米 单位: m")
    private String gc19;
    @ApiModelProperty(value = "落料密封门开停信号 单位: 1=运行，0=停止")
    private String gc20;
    @ApiModelProperty(value = "垃圾焚烧单元_焚烧工况_标记 单位: 1=运行，0=停止")
    private String gc21;
    @ApiModelProperty(value = "垃圾焚烧单元_焚烧工况_开始时间")
    private String gc22;
    @ApiModelProperty(value = "垃圾焚烧单元_焚烧工况_截止时间")
    private String gc23;
    @ApiModelProperty(value = "垃圾焚烧单元_炉膛内热电偶_炉膛压力剂_炉膛内负压 单位: kpa")
    private String gc25;
    @ApiModelProperty(value = "垃圾焚烧单元_一次风系统_炉膛压力剂_一次风风机流量 单位: m3/h")
    private String gc26;
    @ApiModelProperty(value = "垃圾焚烧单元_一次风系统_炉膛压力剂_一次风风机电流 单位: A")
    private String gc27;
    @ApiModelProperty(value = "垃圾焚烧单元_二次风系统_炉膛压力剂_二次风风机流量 单位: m3/h")
    private String gc28;
    @ApiModelProperty(value = "垃圾焚烧单元_二次风系统_炉膛压力剂_二次风风机电流安 单位: A")
    private String gc29;
    @ApiModelProperty(value = "垃圾焚烧单元_余热锅炉系统_余热锅炉出口烟气温度 单位: ℃")
    private String gc30;
    @ApiModelProperty(value = "烟气净化单元_焚烧炉内SNCR脱硝设施_脱硝剂（氨水、尿素等）浆液浓度 单位: %")
    private String gc31;
    @ApiModelProperty(value = "附加参数 JSON。格式类似：{pmIn:{02:12,03:23},...}")
    private String addiParam;
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "炉膛内中部和上部温度（5 分钟均值）")
    private String gc24;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<MonDevFsOther> createLambdaQueryWrapper(MonDevFsOtherQuery query) {
        QueryWrapper<MonDevFsOther> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getDataId()), "data_id", query.getDataId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeviceId()), "device_id", query.getDeviceId());
        wrapper.eq(ObjectUtil.isNotNull(query.getTimeType()), "time_type", query.getTimeType());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataTime()), "data_time", query.getDataTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getFs100()), "fs100", query.getFs100());
        wrapper.eq(ObjectUtil.isNotNull(query.getFs101()), "fs101", query.getFs101());
        wrapper.eq(ObjectUtil.isNotNull(query.getFz100()), "fz100", query.getFz100());
        wrapper.eq(ObjectUtil.isNotNull(query.getFz101()), "fz101", query.getFz101());
        wrapper.eq(ObjectUtil.isNotNull(query.getFz102()), "fz102", query.getFz102());
        wrapper.eq(ObjectUtil.isNotNull(query.getFz103()), "fz103", query.getFz103());
        wrapper.eq(ObjectUtil.isNotNull(query.getFz104()), "fz104", query.getFz104());
        wrapper.eq(ObjectUtil.isNotNull(query.getFz105()), "fz105", query.getFz105());
        wrapper.eq(ObjectUtil.isNotNull(query.getFz106()), "fz106", query.getFz106());
        wrapper.eq(ObjectUtil.isNotNull(query.getFz107()), "fz107", query.getFz107());
        wrapper.eq(ObjectUtil.isNotNull(query.getFz108()), "fz108", query.getFz108());
        wrapper.eq(ObjectUtil.isNotNull(query.getG229()), "g229", query.getG229());
        wrapper.eq(ObjectUtil.isNotNull(query.getG230()), "g230", query.getG230());
        wrapper.eq(ObjectUtil.isNotNull(query.getG231()), "g231", query.getG231());
        wrapper.eq(ObjectUtil.isNotNull(query.getG232()), "g232", query.getG232());
        wrapper.eq(ObjectUtil.isNotNull(query.getG233()), "g233", query.getG233());
        wrapper.eq(ObjectUtil.isNotNull(query.getG234()), "g234", query.getG234());
        wrapper.eq(ObjectUtil.isNotNull(query.getG332()), "g332", query.getG332());
        wrapper.eq(ObjectUtil.isNotNull(query.getG333()), "g333", query.getG333());
        wrapper.eq(ObjectUtil.isNotNull(query.getG334()), "g334", query.getG334());
        wrapper.eq(ObjectUtil.isNotNull(query.getG335()), "g335", query.getG335());
        wrapper.eq(ObjectUtil.isNotNull(query.getG602()), "g602", query.getG602());
        wrapper.eq(ObjectUtil.isNotNull(query.getGa04()), "ga04", query.getGa04());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb14()), "gb14", query.getGb14());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb15()), "gb15", query.getGb15());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb16()), "gb16", query.getGb16());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb17()), "gb17", query.getGb17());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb18()), "gb18", query.getGb18());
        wrapper.eq(ObjectUtil.isNotNull(query.getGb19()), "gb19", query.getGb19());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc00()), "gc00", query.getGc00());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc01()), "gc01", query.getGc01());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc02()), "gc02", query.getGc02());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc03()), "gc03", query.getGc03());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc04()), "gc04", query.getGc04());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc05()), "gc05", query.getGc05());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc06()), "gc06", query.getGc06());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc07()), "gc07", query.getGc07());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc08()), "gc08", query.getGc08());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc09()), "gc09", query.getGc09());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc10()), "gc10", query.getGc10());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc11()), "gc11", query.getGc11());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc12()), "gc12", query.getGc12());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc13()), "gc13", query.getGc13());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc14()), "gc14", query.getGc14());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc15()), "gc15", query.getGc15());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc16()), "gc16", query.getGc16());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc17()), "gc17", query.getGc17());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc19()), "gc19", query.getGc19());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc20()), "gc20", query.getGc20());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc21()), "gc21", query.getGc21());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc22()), "gc22", query.getGc22());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc23()), "gc23", query.getGc23());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc25()), "gc25", query.getGc25());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc26()), "gc26", query.getGc26());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc27()), "gc27", query.getGc27());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc28()), "gc28", query.getGc28());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc29()), "gc29", query.getGc29());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc30()), "gc30", query.getGc30());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc31()), "gc31", query.getGc31());
        wrapper.eq(ObjectUtil.isNotNull(query.getAddiParam()), "addi_param", query.getAddiParam());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getGc24()), "gc24", query.getGc24());
        return wrapper;
        }
}
